## ThunarColumnEditor ThunarColumnEditor |

## Functions

gboolean | thunar_show_column_editor ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── ThunarAbstractDialog
                                    ╰── ThunarColumnEditor

## Description

## Functions

### thunar_show_column_editor ()

    gboolean
    thunar_show_column_editor (gpointer parent);

Convenience function to display a ThunarColumnEditor.

If `parent` is a GtkWidget the editor dialog will be opened as modal dialog above the `parent` . Else if `parent` is a screen (if `parent` is `NULL` the default screen is used), the dialog won't be modal and it will simply popup on the specified screen.

#### Parameters

parent | the GtkWidget the GdkScreen on which to open the column editor dialog. May also be `NULL` in which case the default GdkScreen will be used. |